Skip to content
Payplug Elements
Search
Ctrl
K
Cancel
Toggle theme
Select language
English
Français
Menu
How it works
Create a session
Show the elements
Webhooks
Playground
Styling
Payment methods
Feature flags
Languages & currency
Element reference
HTTP API reference
Overview
oauth
Overview
Obtain an access token
POST
api
Overview
Create an Elements session
POST
Search sessions
GET
One session
GET
Search attempts
GET
One attempt
GET
Search transactions
GET
One transaction
GET
Refund a session in full
POST
Refund one attempt
POST
Refund one transaction
POST
Debit the card a session registered
POST
elements
Overview
Read the session view
GET
Start a payment attempt
POST
Confirm an attempt with the challenge's answer
POST
Accept a mandated partial authorization
POST
Cancel an authorized attempt
POST
Abandon a pending attempt
POST
Record the payer's acceptance of the terms
POST
Abandon the payment
POST
webhooks
A session ended
POST
A dispute was raised
POST
A later debit concluded
POST
A refund concluded
POST
Toggle theme
Select language
English
Français
Overview
api
Section titled “api”
Server-to-server surface, JWT-authenticated (OAuth2)
Operations
Section titled “ Operations ”
GET
/api/sessions
POST
/api/sessions
GET
/api/sessions/{sessionId}
GET
/api/attempts
GET
/api/attempts/{attemptId}
GET
/api/transactions
GET
/api/transactions/{transactionId}
POST
/api/sessions/{sessionId}/refund
POST
/api/attempts/{attemptId}/refund
POST
/api/transactions/{transactionId}/refund
POST
/api/sessions/{sessionId}/debit